%define pypi_name flit

Name:		python-%{pypi_name}
Version:	3.0.0
Release:	%mkrel 1
Summary:	Simplified packaging of Python modules

# ./flit/logo.py  under ASL 2.0 license
# ./flit/upload.py under PSF license
License:	BSD and ASL 2.0 and Python
Group:          Development/Python
URL:		https://flit.readthedocs.io/en/latest/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(requests)
BuildRequires:	python3dist(docutils)
BuildRequires:	python3dist(pygments)
BuildRequires:	python3dist(idna)
BuildRequires:	python3dist(certifi)
BuildRequires:	python3dist(urllib3)
BuildRequires:	python3dist(chardet)
BuildRequires:	python3dist(pytoml)

%description
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-%{pypi_name}
Group:		Development/Python
Summary:	Simplified packaging of Python modules
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3-%{pypi_name}-core = %{version}-%{release}

# soft dependency: (WARNING) Cannot analyze code. Pygments package not found.
Recommends:	python3-pygments


%description -n python3-%{pypi_name}
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All subpackages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-%{pypi_name}-core
Group:		Development/Python
Summary:	PEP 517 build backend for packages using Flit
%{?python_provide:%python_provide python3-%{pypi_name}-core}
Conflicts:	python3-%{pypi_name} < 2.1.0-2

%description -n python3-%{pypi_name}-core
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
export FLIT_NO_NETWORK=1
# first, build flit_core with self
cd flit_core
%pyproject_wheel
# Move %%{_pyproject_wheeldir}/flit_core wheel to the main dir
mv %{_pyproject_wheeldir} ..
cd -
	
# build of the main flit (needs flit_core)
PYTHONPATH=$PWD:$PWD/flit_core %pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/flit-*.dist-info/
%{python3_sitelib}/flit/
%{_bindir}/flit


%files -n python3-%{pypi_name}-core
%license LICENSE
%doc flit_core/README.rst
%{python3_sitelib}/flit_core-*.dist-info/
%{python3_sitelib}/flit_core/


%changelog
* Sat Nov 14 2020 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1646151
- new version 3.0.0

* Tue Jun 09 2020 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1591159
- new version: 2.3.0

* Thu Feb 20 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1546111
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1485939
- new version: 2.2.0

* Sat Dec 14 2019 daviddavid <daviddavid> 2.1.0-2.mga8
+ Revision: 1467109
- properly package flit-core and restore /usr/bin/flit (#1783610)

* Thu Dec 12 2019 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1466064
- new version: 2.1.0

* Fri Sep 06 2019 wally <wally> 1.3-2.mga8
+ Revision: 1437998
- rebuild for python3.8

* Fri Apr 19 2019 wally <wally> 1.3-1.mga7
+ Revision: 1393412
- new version 1.3

* Tue Jan 08 2019 tv <tv> 0.11.4-3.mga7
+ Revision: 1352058
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.11.4-2.mga7
+ Revision: 1288906
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 0.11.4-1.mga7
+ Revision: 1140806
- add group
- imported package python-flit

